Energia

Serial

## begin()

### Description

Sets the data rate in bits per second (baud) for serial data transmission. For communicating with the computer, use one of these rates: 300, 1200, 2400, 4800, 9600, 14400, 19200, 28800, 38400, 57600, or 115200. You can, however, specify other rates - for example, to communicate over pins 0 and 1 with a component that requires a particular baud rate.

### Syntax

Serial.begin(speed)

### Parameters

speed: in bits per second (baud) - long

### Returns

nothing

### Example:

    void setup() {
    	Serial.begin(9600);	// opens serial port, sets data rate to 9600 bps
    }

    void loop() {}

#### See also

- Serial.end()

Reference Home

©Energia | Edit Page | Page History | Printable View | All Recent Site Changes